/* Contenedor principal del loader */
#loader-wrapper {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    /* Estilo basado en la imagen cargada */
    /* Estilo basado en la imagen cargada */
    background: #b52282;
    /* Color de respaldo (fallback) */
    background: linear-gradient(90deg,
            rgb(79, 14, 55) 0%,
            rgb(104, 19, 73) 50%,
            rgb(136, 25, 95) 100%);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 20px;
    height: 100vh;
    width: 100%;
    z-index: 9999999;
    transition: opacity 0.5s ease, visibility 0.5s;
}

.loader {
    width: 200px;
    height: 60px;
    position: relative;
    z-index: 1;
}

.loader .circle {
    width: 25px;
    height: 25px;
    position: absolute;
    border-radius: 50%;
    background-color: #ffffff;
    left: 15%;
    transform-origin: 50%;
    animation: circle7124 .5s alternate infinite ease;
}

@keyframes circle7124 {
    0% {
        top: 60px;
        height: 5px;
        border-radius: 50px 50px 25px 25px;
        transform: scaleX(1.7);
    }

    40% {
        height: 20px;
        border-radius: 50%;
        transform: scaleX(1);
    }

    100% {
        top: 0%;
    }
}

.loader .circle:nth-child(2) {
    left: 45%;
    animation-delay: .2s;
    background-color: #ffffff;
}

.loader .circle:nth-child(3) {
    left: auto;
    right: 15%;
    animation-delay: .3s;
    background-color: #ffffff;
}

.loader .shadow {
    width: 20px;
    height: 4px;
    border-radius: 50%;
    background-color: rgba(0, 0, 0, 0.5);
    position: absolute;
    top: 62px;
    transform-origin: 50%;
    z-index: -1;
    left: 15%;
    filter: blur(1px);
    animation: shadow046 .5s alternate infinite ease;
}

@keyframes shadow046 {
    0% {
        transform: scaleX(1.5);
    }

    40% {
        transform: scaleX(1);
        opacity: .7;
    }

    100% {
        transform: scaleX(.2);
        opacity: .4;
    }
}

.loader .shadow:nth-child(4) {
    left: 45%;
    animation-delay: .2s;
}

.loader .shadow:nth-child(5) {
    left: auto;
    right: 15%;
    animation-delay: .3s;
}

.loader span {
    position: absolute;
    top: 75px;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-size: 14px;
    text-transform: uppercase;
    letter-spacing: 6px;
    color: #fff;
    left: 15%;
}

/* Clase para ocultar el loader */
.loader-hidden {
    opacity: 0;
    visibility: hidden;
}

/* 2. OCULTAR EL CONTENIDO INICIALMENTE */
#content {
    opacity: 0;
    transition: opacity 0.8s ease-in;
}

/* Clase que activaremos con JS */
#content.visible {
    opacity: 1;
}